<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetMenuString Method (IEdmTemplate5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTemplate5 Interface : GetMenuString Method (IEdmTemplate5)

Visual Basic
C#
C++/CLI
Gets the string displayed in the SOLIDWORKS PDM Professional menu for this template.

# Syntax

Visual Basic |
--- | ---

    Function GetMenuString() As System.String

C# |
--- | ---

    System.string GetMenuString()

C++/CLI |
--- | ---

    System.String^ GetMenuString();

#### Return Value

Menu string

# Example

Execute Template (C#)
Execute Template (VB.NET)

# Remarks

C++ programmers not using bstr_t wrapper functions must free the returned string with a call to SysFreeString.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTemplate5 Interface
IEdmTemplate5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2